Bug 852749 - [abrt] qt-creator-2.4.1-2.fc17: QObject::connect: Process /usr/bin/qtcreator was killed by signal 11 (SIGSEGV)
[abrt] qt-creator-2.4.1-2.fc17: QObject::connect: Process /usr/bin/qtcreator ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt-creator (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Itamar Reis Peixoto
Fedora Extras Quality Assurance
abrt_hash:a90edc611f53d29d5d1297f9c75...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 09:36 EDT by Antonio Scopelliti
Modified: 2013-07-31 20:55 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:55:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (105.32 KB, text/plain)
2012-08-29 09:36 EDT, Antonio Scopelliti
no flags Details
File: maps (82.15 KB, text/plain)
2012-08-29 09:36 EDT, Antonio Scopelliti
no flags Details
File: dso_list (34.60 KB, text/plain)
2012-08-29 09:36 EDT, Antonio Scopelliti
no flags Details
File: build_ids (14.13 KB, text/plain)
2012-08-29 09:36 EDT, Antonio Scopelliti
no flags Details

  None (edit)
Description Antonio Scopelliti 2012-08-29 09:36:40 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        qtcreator
crash_function: QObject::connect
executable:     /usr/bin/qtcreator
kernel:         3.5.2-3.fc17.i686.PAE
pid:            1352
pwd:            /home/antonio
remote_result:  815327
time:           mer 29 ago 2012 14:15:01 CEST
uid:            1000
username:       antonio
xsession_errors: 

backtrace:      Text file, 107850 bytes
build_ids:      Text file, 14473 bytes
dso_list:       Text file, 35433 bytes
maps:           Text file, 84123 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/antonio/2

comment:
:- Start qt-creatore
:- create new Qt widget project (Widget type: Mainwindow)
:- try to edit Ui form with internal ui-designer
:- qt-creator crashes attempting to launch internal ui-designer

core_backtrace:
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x19aacf QObject::connect(QObject libQtCore.so.4 -
:624c7da5a859dd1fd6933e83dd386924fda4c0c6 0x22df67 - libmarblewidget.so.13 -
:624c7da5a859dd1fd6933e83dd386924fda4c0c6 0x22e781 - libmarblewidget.so.13 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x5ddbc - libQtCore.so.4 -
:b1fc8ec69a34458bab61c14c7735324473a5cffc 0x6b261 - libQtCore.so.4 -
:3315dc1f02dea0ab28a3f5f08ce3f07c9e156291 0x6adf start_thread libpthread.so.0 -
:db6c0f5e6d5c4c0b791a6cccb49ea2ff3a1d98f0 0xf43ce clone libc.so.6 -

environ:
:XDG_VTNR=1
:SSH_AGENT_PID=1149
:XDG_SESSION_ID=2
:SAL_USE_VCLPLUGIN=gtk
:HOSTNAME=Pirgopolinice
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:XDG_MENU_PREFIX=lxde-
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/antonio/keyring-nmJN5s
:QTDIR=/usr/lib/qt-3.3
:QTINC=/usr/lib/qt-3.3/include
:IMSETTINGS_MODULE=none
:QT_GRAPHICSSYSTEM_CHECKED=1
:USER=antonio
:SSH_AUTH_SOCK=/tmp/ssh-DpSyZOhY1020/agent.1020
:USERNAME=antonio
:PATH=/usr/lib/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/antonio/.local/bin:/home/antonio/bin
:DESKTOP_SESSION=LXDE
:MAIL=/var/spool/mail/antonio
:QT_IM_MODULE=xim
:PWD=/home/antonio
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1018
:LANG=it_IT.UTF-8
:KDE_IS_PRELINKED=1
:KDEDIRS=/usr
:GDMSESSION=LXDE
:HISTCONTROL=ignoredups
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:XDG_SEAT=seat0
:HOME=/home/antonio
:SHLVL=1
:XDG_CONFIG_HOME=/home/antonio/.config
:LOGNAME=antonio
:QTLIB=/usr/lib/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-xtpqKb7oCH,guid=0461ad71a3bd56c2b2d1772400000021
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/antonio
:DISPLAY=:0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-antonio-gJY2kM/database
:_LXSESSION_PID=1020
:XDG_CURRENT_DESKTOP=LXDE

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 61956                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       61956                61956                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/antonio/.xsession-errors
:pos:	2200
:flags:	02002
:2:/home/antonio/.xsession-errors
:pos:	2200
:flags:	02002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[20902]
:pos:	0
:flags:	02004000
:5:pipe:[20902]
:pos:	0
:flags:	02004001
:6:socket:[20903]
:pos:	0
:flags:	02004002
:7:socket:[21883]
:pos:	0
:flags:	02004002
:8:/tmp/qtsingleapplication-5e9b-3e8-lockfile
:pos:	0
:flags:	02100002
:9:socket:[20906]
:pos:	0
:flags:	02000002
:10:/home/antonio/.config/Nokia/QtCreator.db
:pos:	40
:flags:	02100002
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:/home/antonio/.config/Nokia/qtcreator/helpcollection.qhc
:pos:	40
:flags:	02100002
:15:/usr/share/doc/qt4/qch/assistant.qch
:pos:	100
:flags:	02100000
:16:/usr/share/doc/qt4/qch/designer.qch
:pos:	100
:flags:	02100000
:17:/usr/share/doc/qt4/qch/linguist.qch
:pos:	100
:flags:	02100000
:18:/usr/share/doc/qt4/qch/qmake.qch
:pos:	100
:flags:	02100000
:19:anon_inode:inotify
:pos:	0
:flags:	02000000
:20:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:21:/usr/share/doc/qt4/qch/qt.qch
:pos:	100
:flags:	02100000
:22:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:23:anon_inode:inotify
:pos:	0
:flags:	02000000
:24:socket:[20951]
:pos:	0
:flags:	02004002
:25:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:26:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:27:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:28:socket:[20999]
:pos:	0
:flags:	02004002
:29:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:30:socket:[21946]
:pos:	0
:flags:	02004002
:31:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:32:socket:[21002]
:pos:	0
:flags:	02004002
:33:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:34:anon_inode:inotify
:pos:	0
:flags:	02000000
:35:/var/tmp/kdecache-antonio/ksycoca4
:pos:	0
:flags:	02100000
:36:socket:[23600]
:pos:	0
:flags:	02004002
:37:socket:[23613]
:pos:	0
:flags:	02
:38:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:39:anon_inode:inotify
:pos:	0
:flags:	02000000
:40:anon_inode:[eventfd]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:Generale
:=================================
:UUID: 1434966a-bc73-4848-8950-9f9243379112
:OS: Fedora release 17 (Beefy Miracle)
:Run level predefinito: Unknown
:Linguaggio: it_IT.UTF-8
:Piattaforma: i686
:BogoMIPS: 4266.51
:Venditore CPU: GenuineIntel
:Modello CPU: Intel(R) Pentium(R) CPU        P6200  @ 2.13GHz
:CPU Stepping: 5
:Famiglia della CPU: 6
:Numero modello CPU: 37
:Numero di CPU: 2
:Velocità CPU: 2133
:Memoria di sistema: 7760
:Swap di sistema: 4879
:Venditore: Acer
:Sistema: TravelMate 5744Z V1.05
:Form factor: Notebook
:Kernel: 3.5.2-3.fc17.i686.PAE
:SELinux abilitato: 0
:Politica di SELinux: targeted
:SELinux Enforce: Unknown
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivi
:=================================
:(32902:68:4133:1554) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15152:4133:1554) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4133:1554) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4133:1554) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:4133:1554) pci, None, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(5772:50:4187:57415) pci, ath9k, NETWORK, AR9485 Wireless Network Adapter
:(32902:15164:4133:1554) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4133:1554) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4133:1554) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(5348:5778:4133:1554) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:70:4133:1554) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15170:4133:1554) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4133:1554) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4133:1554) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4133:1554) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:4133:1554) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Informazioni sul filesystem
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 12901535 10158667 9503307 3276800 3016422 3016422
:/dev/sda1 /boot ext4 1024 1024 495844 449257 423657 128016 127671 127671
:/dev/sda5 /home ext4 4096 4096 62658771 62541153 59358267 15917056 15914108 15914108
:

var_log_messages:
:Aug 29 14:15:01 Pirgopolinice kernel: [  389.878773] qtcreator[1479]: segfault at b711e768 ip b711e768 sp ac2fe0ec error 15 in oxygen.so[b711e000+4000]
:Aug 29 14:15:01 Pirgopolinice kernel: [  389.878800] qtcreator[1483]: segfault at 200073 ip 4a142acf sp aa4890f0 error 4 in libQtCore.so.4.8.2[49fa8000+2dd000]
:Aug 29 14:15:01 Pirgopolinice kernel: [  389.878905] qtcreator[1495]: segfault at e424648d ip e424648d sp 9ed470ec error 15
:Aug 29 14:15:03 Pirgopolinice abrt[1496]: Saved core dump of pid 1352 (/usr/bin/qtcreator) to /var/spool/abrt/ccpp-2012-08-29-14:15:01-1352 (241840128 bytes)
Comment 1 Antonio Scopelliti 2012-08-29 09:36:46 EDT
Created attachment 607900 [details]
File: backtrace
Comment 2 Antonio Scopelliti 2012-08-29 09:36:48 EDT
Created attachment 607901 [details]
File: maps
Comment 3 Antonio Scopelliti 2012-08-29 09:36:50 EDT
Created attachment 607902 [details]
File: dso_list
Comment 4 Antonio Scopelliti 2012-08-29 09:36:53 EDT
Created attachment 607903 [details]
File: build_ids
Comment 5 Igor 2013-02-08 00:16:14 EST
Приложение QTCreator закрылось после открытия.

backtrace_rating: 4
Package: qt-creator-2.4.1-2.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Fedora End Of Life 2013-07-03 18:47:38 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-07-31 20:55:43 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.